<?php
/**
* Dependencies
*/


class AdvancedReports_ReportBuilder_View extends Vtiger_Index_View
{
	public function process(Vtiger_Request $request)
	{
		$moduleName = $request->getModule();
		$smarty = $this->getViewer($request);

        include "modules/AdvancedReports/controller.php";
        $controller = new AdvancedReportsController();
        $controller->action_reportBuilder();

        foreach($controller->view_object_map as $key => $value) {
            $smarty->assign($key, $value);
        }

		if($_REQUEST['parenttab'] == "settings"){
			$smarty->view('ReportBuilder/settings.tpl', $moduleName);
		}else{
			$smarty->view('ReportBuilder/main.tpl', $moduleName);
		}

	}
}




